# ActionModelRegistry class Null safety

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
mappers → Map<String, ActionModelMapper>
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

addMapper(String actionType, ActionModelMapper mapper) → void
getMapper(String? actionType) → ActionModelMapper?
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
toString() → String
  A string representation of this object. [...]
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Methods

registry() → ActionModelRegistry?